<template>
  <div class="main-content abnormal">
    <!-- <div class="content-header">
      <span class="title">严重违法名录列入：经办</span>
      <el-button type="warning" icon="el-icon-caret-left" size="mini" class="back-btn" @click="$router.back()">返回上一层</el-button>
    </div> -->
    <DetailHead result="业务受理" />
    <div class="content-body">
      <el-form ref="form" :model="form" label-width="230px" label-position="right" :rules="formRules">
        <div class="form">
          <div class="tab">
            <div class="tab-title"><label>违法信息</label></div>
          </div>
          <div class="form-body">
            <el-row class="lh0">
              <el-form-item label="拟列入严重违法名单主体信息">
                <el-button size="mini" type="primary" @click="showEntbaseList">查看违法主体名单<i class="el-icon el-icon-s-order" style="margin-left:5px" />
                </el-button>
              </el-form-item>
            </el-row>
            <el-row class="bt0">
              <el-form-item label="拟列入原因" prop="reason">
                <el-col :span="24">
                  <el-select v-model="reason" placeholder="请选择列入原因" style="width:100%" class="custom">
                    <el-option
                      v-for="item in reasonOptions"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value"
                    />
                  </el-select>
                </el-col>
                <el-col :span="24">
                  <el-input v-model="form.reason" type="textarea" style="width:100%" placeholder="请输入列入原因" disabled />
                </el-col>
              </el-form-item>

            </el-row>
            <el-row class="bt0">
              <el-form-item label="事实理由" prop="lostcreditexplain">
                <el-col :span="24">
                  <el-input v-model="form.lostcreditexplain" type="textarea" placeholder="请输入事实理由" style="width:100%" :autosize="{ minRows: 3, maxRows: 6 }" maxlength="500" show-word-limit />
                </el-col>
              </el-form-item>
            </el-row>

            <el-row class="bt0 p0">
              <el-form-item label="材料上传" class="upload">
                <el-upload
                  :action="uploadPath"
                  :data="{bizseq:bizseq}"
                  :on-remove="removeFile"
                  :on-success="uploadCallback"
                  :on-preview="previewFile"
                  :before-upload="beforeFileUpload"
                  :before-remove="beforeRemove"
                  accept=".doc,.docx,.xlsx,.xls,.pdf,.jpg,.zip,.rar,.7z"
                  multiple
                  :file-list="fileList"
                  style="max-width:800px;display: inline-block"
                  class="uploadFileList"
                >
                  <div style="display: inline-block;">
                    <el-button size="small" style="display: inline-block;margin-right:10px" type="primary">点击上传</el-button>
                    <div slot="tip" style="display: inline-block;" class="el-upload__tip">只能上传jpg/png/pdf/doc/docx/xls/xlsx/rar/zip/7z文件，且单个文件不能超过20M</div>
                  </div>
                </el-upload>
              </el-form-item>
            </el-row>

          </div>
        </div>
        <div class="form">
          <div class="tab">
            <div class="tab-title"><label>处理意见</label></div>
          </div>
          <div class="form-body history">
            <div v-if="historyLog.length == 0" class="none">暂无历史意见</div>
            <el-steps direction="vertical">
              <el-step v-for="(each,index) in historyLog" :key="'historyLog'+index" :title="each.step + '：' + each.handler + ' 处办日期：' + each.handledate" :description="each.opinioncontent" status="finish" />
            </el-steps>
          </div>
        </div>
        <div class="form">
          <div class="tab">
            <div class="tab-title"><label>经办意见</label></div>
          </div>
          <div class="form-body">
            <el-row class="p0">
              <el-form-item label="选择操作" prop="endApply">
                <el-radio v-model="form.endApply" label="1">拟列入</el-radio>
                <el-radio v-model="form.endApply" label="2">结束流程</el-radio> <!-- 同样需要审核 -->
              </el-form-item>
            </el-row>
            <el-row>
              <el-form-item v-if="form.endApply === '2'" label="结束原因" prop="endReason">
                <el-col :span="24">
                  <el-input v-model="form.endReason" type="textarea" placeholder="请输入结束原因" :autosize="{ minRows: 2, maxRows: 6 }" />
                </el-col>
              </el-form-item>
            </el-row>

            <el-row v-if="form.endApply === '1'" class="bt0">
              <el-form-item label="经办意见" prop="opinion">
                <el-col :span="24">
                  <el-input v-model="form.opinion" type="textarea" :autosize="{ minRows: 5 }" maxlength="2000" placeholder="请输入经办意见" style="width:100%" />
                </el-col>
                <el-col :span="12">
                  <label>常用语</label>
                  <el-select v-model="opinion" placeholder="请选择" class="custom" style="width:100%">
                    <el-option
                      v-for="item in opinionOptions"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value"
                    />
                  </el-select>
                </el-col>
              </el-form-item>
            </el-row>

            <el-row v-if="form.endApply === '1'" class="bt0">
              <el-form-item label="审核人" prop="reviewerId">
                <el-col :span="12">
                  <el-select v-model="form.reviewerId" placeholder="请选择审核人" class="custom" style="width:100%">
                    <el-option
                      v-for="item in reviewer"
                      :key="'reviewer'+item.primaryKey"
                      :label="item.name"
                      :value="item.primaryKey"
                    />
                  </el-select>
                </el-col>
              </el-form-item>
            </el-row>

          </div>
        </div>
      </el-form>
      <div class="submit-box">
        <el-button type="primary" :loading="submitLoading" @click="submitForm">提交</el-button>
        <el-button @click="$router.back()">返回</el-button>
      </div>
    </div>
    <!-- <HandleDialog :show.sync="showEntbase" title="严重违法主体名单" style="width:50vw" @close="showEntbase = false">
      <el-table :data="dataShow" tooltip-effect="dark" style="width: 1200px" :fit="true" height="500px" @selection-change="handleSelectionChange">
        <el-table-column class="no" type="selection" min-width="35" show-overflow-tooltip />
        <el-table-column prop="index" label="序号" min-width="35" align="center" show-overflow-tooltip />
        <el-table-column prop="uscc" label="统一社会信用代码/注册号" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="name" label="名称" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="estDate" label="成立时间" align="left" show-overflow-tooltip />
        <el-table-column prop="address" label="经营地址" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="lerepname" label="法定代表人" align="left" show-overflow-tooltip />
        <el-table-column prop="typeName" label="企业类型" min-width="150" align="left" show-overflow-tooltip />
      </el-table>
      <div>
        <el-row>
          <el-col>
            <el-pagination
              :current-page="currentPage"
              small
              layout="prev, pager, next"
              :total="total"
              @size-change="handleSizeChange"
              @current-change="handleCurrentChange"
            />
          </el-col>
        </el-row>
        <div class="dialog-box">
          <el-button type="danger" @click="removeEntbaseItem">剔除</el-button>
          <el-button type="primary" @click="showEntbaseList">确定</el-button>
        </div>
      </div>
    </HandleDialog> -->
    <el-dialog
      title="拟列入严重违法名单主体信息"
      :visible.sync="showEntbase"
      width="80%"
    >
      <el-table
        ref="multipleTable"
        :header-cell-style="{background:'#8cc3fb',color:'#fff'}"
        :row-class-name="tableRowClassName"
        :data="dataShow"
        tooltip-effect="dark"
        :fit="true"
        max-height="530px"
        @selection-change="handleSelectionChange"
      >
        <el-table-column class="no" type="selection" min-width="35" align="center" show-overflow-tooltip />
        <el-table-column prop="index" label="序号" min-width="35" align="center" show-overflow-tooltip />
        <el-table-column prop="uscc" label="统一社会信用代码/注册号" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="name" label="名称" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="estDate" label="成立日期" min-width="80" align="left" show-overflow-tooltip />
        <el-table-column prop="address" label="经营地址" min-width="150" align="left" show-overflow-tooltip />
        <el-table-column prop="lerepname" label="法定代表人" min-width="80" align="left" show-overflow-tooltip />
        <el-table-column prop="typeName" label="企业类型" min-width="150" align="left" show-overflow-tooltip />
      </el-table>
      <div>
        <el-row style="border:0">
          <el-pagination
            :current-page="currentPage"
            small
            layout="prev, pager, next"
            :total="total"
            @size-change="handleSizeChange"
            @current-change="handleCurrentChange"
          />
        </el-row>
        <el-row class="dialog-box" style="border:0">
          <el-button type="danger" @click="removeEntbaseItem">剔除</el-button>
          <el-button type="primary" @click="showEntbaseList">确定</el-button>
        </el-row>
      </div>

    </el-dialog>

  </div>
</template>

<script>
import DetailHead from '@/components/DetailHead'
import HandleDialog from '@/components/HandleDialog'
import { removeAttachementById, listAttachmentByBizseq } from '@/api/attachment'
import { nextIllegalInclusionProcess, listIllegalByBizSeq, removeByIllegallistid, getNewCD73 } from '@/api/illegal'
import { getUsersWithPermission } from '@/api/user'
import { validBeforeUpload } from '@/api/fileUpload'
import { taskOpinion } from '@/api/task'
import { getConstant } from '@/api/system'
import { isMenHu } from '@/utils/utils'

export default {
  components: {
    HandleDialog: HandleDialog,
    DetailHead
  },
  data() {
    return {
      uploadPath: `${process.env.VUE_APP_BASE_API}/attachment/uploadFileByBizseq`,
      showEntbase: false,
      bizseq: '',
      workflowId: '',
      tasklistid: '',
      entbase: [], // 主体名单列表
      // 分页数据,这里用来保存每页切割后的数据
      // 看起来格式是这样的[[{},{},{}],[{},{},{}]]
      // 数组内套数组，每个数组就是一页数据
      totalPageData: [],
      // 共几页
      pageNum: '',
      // 每页显示数量
      pageSize: 10,
      // 当前显示页码
      currentPage: 1,
      // 总共多少条数据
      total: 1,
      // 当前要显示的数据
      dataShow: [],
      // 选中数组
      multipleSelection: [],
      form: {
        enterType: 'company',
        lostcreditexplain: '',
        reason: '',
        opinion: '',
        endApply: '1',
        endReason: ''
      },
      endApply: null,
      formRules: {
        endReason: [
          { required: true, message: '请输入结束原因', trigger: 'blur' }
        ],
        reason: [
          { required: true, message: '请输入列入原因', trigger: 'blur' }
        ],
        lostcreditexplain: [
          { required: true, message: '请输入事实理由', trigger: 'blur' }
        ],
        opinion: [
          { required: true, message: '请输入经办意见', trigger: ['blur', 'change'] }
        ],
        reviewerId: [
          { required: true, message: '请选择审核人' }
        ]
      },
      reason: '',
      opinion: '',
      reasonOptions: [],
      opinionOptions: [{
        value: 0,
        label: '拟同意'
      }, {
        value: 1,
        label: '同意'
      }, {
        value: 2,
        label: '不同意'
      }],
      historyLog: [],
      exmainerOptions: [],
      fileList: [],
      user: JSON.parse(sessionStorage.getItem('user')),
      reviewer: [],
      submitLoading: false
    }
  },
  watch: {
    // 原因渲染
    reason() {
      this.form.serillrea = this.reason
      let name = ''
      this.reasonOptions.forEach(each => {
        if (this.reason === each.value) {
          name = each.label
        }
      })
      this.form.reason = name
    },
    // 意见渲染
    opinion() {
      let name = ''
      this.opinionOptions.forEach(each => {
        if (this.opinion === each.value) {
          name = each.label
        }
      })
      this.form.opinion = name
    }
  },
  mounted() {
    this.bizseq = this.$route.query.bizseq // 获取跳转携带的参数bizseq
    this.workflowId = this.$route.query.workflowId
    this.tasklistid = this.$route.query.tasklistid
    // 加载常用语
    this.opinionOptions = this.$util.getCommonWords(this.user.primaryKey)
    // 加载处办记录
    taskOpinion(this.workflowId).then(res => {
      if (res.code === 0) {
        res.data.forEach(each => {
          switch (each.opiniontype) {
            case '0': each.step = '经办人'; break
            case '1': each.step = '审核人'; break
            case '2': each.step = '审批人'; break
          }
          this.historyLog.push(each)
        })
      } else {
        this.$message.error('加载处办记录失败')
      }
    })
    // 加载异常名录主体
    listIllegalByBizSeq(this.bizseq).then(res => {
      if (res.code === 0) {
        // 添加分页index
        let i = 1
        const pageStart = (this.currentPage - 1) * this.pageSize
        res.data.forEach(each => {
          each.index = pageStart + i++
          each.name = each.entname
          each.uscc = each.uniscid
          each.estDate = this.$util.isNotEmpty(each.estDate) ? this.$util.formatDate.format(new Date(Date.parse(each.estDate)), 'yyyy-MM-dd') : ''
          each.typeName = each.entTypeName
          if (this.$route.query.isAbnormal) {
            this.reason = '0001'
          } else {
            this.$set(this, 'reason', each.serillrea)
          }
          this.form.lostcreditexplain = each.lostcreditexplain
          this.endApply = each.endApply === 'null' ? '' : each.endApply
          this.entbase.push(each)
        })

        // 分页处理
        this.total = this.entbase.length
        // 计算页数
        this.calcPageData()
      } else {
        this.$message.error('加载异常名录主体信息失败')
      }
    })

    // 加载企业列入原因
    getNewCD73().then(res => {
      if (res.code === 0) {
        const list = []
        res.data.forEach(each => {
          list.push({
            value: each.code,
            label: each.name
          })
        })
        this.reasonOptions = list
        if (this.$util.isNotEmpty(this.reason)) {
          this.form.specause = this.reason
          let name = ''
          this.reasonOptions.forEach(each => {
            if (this.reason === each.value) {
              name = each.label
            }
          })
          this.form.reason = name
        }
      }
    })

    // 加载审核人
    this.loadReviewer()

    // 加载附件清单
    listAttachmentByBizseq(this.bizseq).then(data => {
      data.forEach(each => {
        each.id = each.attachmentid
        each.name = each.filename
        each.url = `${process.env.VUE_APP_DOWNLOAD_URL}/` + each.temppath
      })
      this.fileList = data
    })
  },
  methods: {
    getEntBaseData() {
      listIllegalByBizSeq(this.bizseq).then(res => {
        this.entbase = []
        this.currentPage = 1
        this.pageSize = 10
        if (res.code === 0) {
          // 添加分页index
          let i = 1
          const pageStart = (this.currentPage - 1) * this.pageSize
          res.data.forEach(each => {
            each.index = pageStart + i++
            each.name = each.entname
            each.uscc = each.uniscid
            each.estDate = this.$util.isNotEmpty(each.estDate) ? this.$util.formatDate.format(new Date(Date.parse(each.estDate)), 'yyyy-MM-dd') : ''
            each.typeName = each.entTypeName
            if (this.$route.query.isAbnormal) {
              this.reason = '0001'
            } else {
              this.$set(this, 'reason', each.serillrea)
            }
            this.form.lostcreditexplain = each.lostcreditexplain
            this.endApply = each.endApply === 'null' ? '' : each.endApply
            this.entbase.push(each)
          })

          // 分页处理
          this.total = this.entbase.length
          // 计算页数
          this.calcPageData()
        } else {
          this.$message.error('加载异常名录主体信息失败')
        }
      })
    },
    tableRowClassName({ row, rowIndex }) {
      if (rowIndex % 2 === 1) {
        return 'warning-row'
      }
    },
    // 移除文件前
    beforeRemove(file, fileList) {
      if (file && file.status === 'success') {
        return this.$confirm(`确定移除 ${file.name} ？`)
      }
    },
    // 上传文件之前校验大小
    beforeFileUpload(file) {
      var that = this
      return validBeforeUpload(file, that)
    },
    // 计算页数
    calcPageData() {
      // 计算页数(根据后台数据的条数和每页显示数量算出一共几页,得0时设为1)
      if (this.entbase.length >= 1) {
        this.pageNum = Math.ceil(this.entbase.length / this.pageSize) || 1
        console.log('总页数:', this.pageNum)
      }
      // 数据分组
      for (let i = 0; i < this.pageNum; i++) {
        // 每一页都是一个数组 形如 [['第一页的数据'],['第二页的数据'],['第三页数据']]
        // 根据每页显示数量 将后台的数据分割到 每一页,假设pageSize为5， 则第一页是1-5条，即slice(0,5)，第二页是6-10条，即slice(5,10)...
        this.totalPageData[i] = this.entbase.slice(this.pageSize * i, this.pageSize * (i + 1))
      }
      // 获取到数据后显示第一页内容,数组下标是从0开始的，这里一定要减去1，不然会丢失一组数据
      this.dataShow = this.totalPageData[this.currentPage - 1]
      const selection = JSON.parse(JSON.stringify(this.multipleSelection))
      this.$nextTick(() => {
        for (const i in this.dataShow) {
          const each = this.dataShow[i]
          for (const j in selection) {
            if (each.illegallistid === selection[j].illegallistid) {
              this.$refs.multipleTable.toggleRowSelection(each, true)
            }
          }
        }
      })
    },
    // 每页条数发生变化
    handleSizeChange(newPageSize) {
      this.pageSize = newPageSize
      // 重新计算页数并分组
      this.calcPageData()
    },
    // 当前页码发生变化
    handleCurrentChange(newPageNum) {
      console.log('当前页码:', newPageNum)
      this.currentPage = newPageNum
      // 这里仍然不要忘记减去1
      this.dataShow = this.totalPageData[newPageNum - 1]
      const selection = JSON.parse(JSON.stringify(this.multipleSelection))
      this.$nextTick(() => {
        for (const i in this.dataShow) {
          const each = this.dataShow[i]
          for (const j in selection) {
            if (each.illegallistid === selection[j].illegallistid) {
              this.$refs.multipleTable.toggleRowSelection(each, true)
            }
          }
        }
      })
    },
    // 剔除主题名单
    removeEntbaseItem() {
      console.log(this.multipleSelection.length + '==========yazai')
      if (this.multipleSelection.length === 0) return this.$message.error('请至少选择一个企业从此列表中剔除')
      this.$confirm('是否确认剔除', '提示').then(() => {
        console.log(this.multipleSelection)
        // 遍历获取illegallistid 拼接成字符串形式
        let ids = ''
        this.multipleSelection.forEach(each => {
          ids += (each.illegallistid + ';')
        })
        // 调接口
        const type = 'nly'
        removeByIllegallistid(ids.substring(0, ids.length - 1), type).then(res => {
          if (res.code === 0) {
            this.getEntBaseData()
            // this.multipleSelection.forEach(each => {
            // // 表示先获取这个元素的下标，然后从这个下标开始计算，删除长度为1的元素
            //   this.entbase.splice(this.entbase.indexOf(each), 1)
            // })
            // let i = 1
            // const pageStart = (this.currentPage - 1) * this.pageSize
            // this.entbase.forEach(each => {
            //   each.index = pageStart + i++
            // })
            // // 重新计算页数
            // this.calcPageData()
            this.$message.success('剔除成功')
          } else {
            this.$message.error(res.msg)
          }
        })
      })
    },

    handleSelectionChange(selectData) {
      console.log('=============dalan')
      const cancel = []
      if (selectData.length !== this.dataShow.length) {
        // 找出没有选中的内容
        this.dataShow.forEach(each => {
          for (const i in selectData) {
            const atom = selectData[i]
            if (atom.illegallistid === each.illegallistid) {
              return
            }
          }
          cancel.push(each)
        })
      }
      // 取消选中的内容
      for (const i in cancel) {
        const each = cancel[i]
        let index
        for (const j in this.multipleSelection) {
          const select = this.multipleSelection[j]
          if (select.illegallistid === each.illegallistid) {
            index = parseInt(j)
            break
          }
        }
        if (index !== undefined) {
          this.multipleSelection.splice(index, 1)
        }
      }
      // 增加选中内容
      for (const i in selectData) {
        const each = selectData[i]
        let exist = false
        for (const j in this.multipleSelection) {
          const select = this.multipleSelection[j]
          if (select.illegallistid === each.illegallistid) {
            exist = true
            break
          }
        }
        if (!exist) {
          this.multipleSelection.push(each)
        }
      }
    },

    // 上传文件预览
    previewFile(file) {
      window.open(file.url, '_blank')
    },
    // 发送提交
    submitForm() {
      this.$refs.form.validate(valid => {
        if (!valid) return
        this.$confirm('是否确认发送？', '提示').then(() => {
          // 附件id
          // let ids = []
          // this.fileList.forEach(each => {
          //   ids.push(each.id)
          // })
          // this.form.fileIds = ids.toString()
          // 主体id
          // ids = []
          // this.entbase.forEach(each => {
          // ids.push(each.id)
          // })
          // this.form.pripids = ids.toString()
          this.form.bizseq = this.bizseq
          this.form.workflowid = this.workflowId
          this.form.opiniontype = '0'
          this.form.handler = this.user.username
          this.form.handlerid = this.user.primaryKey
          this.form.opinioncontent = this.form.opinion
          // this.form.tasklistid = this.form.tasklistids
          this.form.tasklistid = this.tasklistid
          this.form.nextPerformerids = this.form.reviewerId
          for (const i in this.reviewer) {
            if (this.reviewer[i].primaryKey === this.form.reviewerId) {
              this.form.nextPerformerNames = this.reviewer[i].name
            }
          }
          this.form.serillrea = this.reason
          if (this.form.endApply === '1') {
            this.form.nextNodeID = 'handleSerIllegal'
          } else if (this.form.endApply === '2') {
            this.form.nextNodeID = 'overSerIllegal'
            this.form.opinioncontent = this.form.endReason
            this.form.nextPerformerids = ''
            this.form.nextPerformerNames = ''
          }
          // this.form.batchAndCase = this.$route.query.batchAndCase
          // this.form.batchAndCase = '1'
          this.submitLoading = true
          nextIllegalInclusionProcess(this.form).then(res => {
            this.submitLoading = false
            if (res.code === 0) {
              this.$message.success('发送成功')
              if (isMenHu()) {
                // 信创门户环境跳转回待办
                window.location.href = '/aiccs/#/todo/list'
              } else {
                this.$router.back()
              }
            }
          })
        }).catch(() => {})
      })
    },
    uploadCallback(res, file) {
      if (res.code === 0) {
        file.id = res.data.attachmentid
      }
    },
    // 查看异常主体名单
    showEntbaseList() {
      this.showEntbase = !this.showEntbase
    },
    // 移除文件回调
    removeFile(file) {
      if (file && file.status === 'success') {
        removeAttachementById(file.id).then(res => {
          if (res.code === 0) {
            this.$message.success('删除成功')
          } else {
            this.$message.error(res.msg)
          }
        })
      }
    },
    // 加载审核人
    loadReviewer() {
      getUsersWithPermission('illegalInclusionReview', this.user.orgId).then(res => {
        if (res.code === 0) {
          this.reviewer = res.data
        }
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.main-content{
  font-size: $table-content-font-size;
  padding: 10pt;
  .back-btn{
    position:absolute;
    right:40pt;
  }
  .content-header,.content-body{
    background: white;
    padding:20PX 10PX;
    border:1PX solid #eee;
  }
  .content-header{
    height:60PX;
    .title{
      font-weight: 700;
      font-size: $table-content-font-size;
    }
  }
  .content-body{
    padding:20pt;
      .tab{
        .tab-title{
          label{
            display:inline-block;
          }
        }
      }
    .form{
      margin-bottom: 20pt;
    }
  }
}
.el-row {
  border-left: 1px  solid $color-border;
}
</style>
<style lang="scss">
.main-content.abnormal{
  font-size: $table-content-font-size!important;
  .el-form-item{
    margin-bottom:0;
    background: $color-form-label;
    .el-form-item__label{
      padding-left: 10px;
      border-top: 1px solid $color-border;
      font-size: $table-content-font-size!important;

      /* border-left: 1px solid $color-border; */
    }
    .el-form-item__content{
      font-size: $table-content-font-size!important;
      background: white;
      padding: 10px;
      border-top: 1px solid $color-border;
      border-right: 1px solid $color-border;
      border-left: 1px solid $color-border;
    }
  }
  .el-form-item:last-child{
    border-bottom: 1px solid $color-border;
  }
  .form-body.history{
    padding:15px;
    border:1px solid $color-border;
  }
  .form-body.history.none{
    font-size: 14px;
  }
  .el-form-item.is-error .custom .el-input__inner{
    border-color:$color-border;
  }
  .el-table-column--selection .cell {
    padding-right: 0px;
  }
  .no {
    padding-left: 0px;
  }
  .el-table_9_column_61.is-left.is-leaf{
    .cell{
      padding-left: 0px;
      padding-right: 0px;
    }
  }
  .el-pagination{
    text-align: right;
  }
  .dialog-box{
    text-align: right;
  }
  .el-textarea.is-disabled .el-textarea__inner{
    color: #1c1e23;
  }
  .el-input__inner{
    margin-bottom: 5px;
  }
  .pub_dialog {
    display: flex;
    justify-content: center;
    align-items: Center;
    overflow: hidden;
    .el-dialog {
        margin: 0 auto !important;
        height: 80%;
        overflow: hidden;
        .el-dialog__body {
            position: absolute;
            left: 0;
            top: 54px;
            bottom: 0;
            right: 0;
            padding: 0;
            z-index: 1;
            overflow: hidden;
            overflow-y: auto;
        }
    }
  }
  .uploadFileList{
    .el-upload-list__item{
      display: inline-block;
      width: auto;
    }
  }
}
</style>
